Subject: Re: bug#21620: tests/mpz/reuse intermittently fails on armhf-linux-gnu

From: Mark H Weaver <[email-masked]>
Date: Wed, 07 Oct 2015 08:45:09 -0400

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> [email-masked] (Torbjörn Granlund) skribis:
>>>
>>>> This is most surely a hardware problem.  The most common such problem is
>>>> a bad RAM chip.
>>>
>>> OK, I’ll see if I can reproduce it on another ARMv7 machine and
>>> report back.
>>>
>>> However, the machine in question is a build machine and it would be
>>> surprising for the RAM issue to manifest only for this program.
>>
>> Do we have a record of which build slave performed the failed build?
>
> Yes, it was on enge.fr.  Could you try on your Novena?

When used as a build slave, the Novena is prone to overheating.  The
best solution is to add a fan.  In the meantime, I've disabled 2 out of
the 4 cores on hydra-slave1 using the following commands:

  echo 0 > /sys/devices/system/cpu/cpu2/online
  echo 0 > /sys/devices/system/cpu/cpu3/online

      Mark